When editing a comment, when entering two quotes on the same line, the comment is lost

2012-03-31 00:50 - Quentin Nerden

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Core Plugins Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.3.2

Description

As admin, when editing a comment, if I enter text in the comment, with quotes, the whole comment is lost..

Repro steps.

Login as admin.

In a bug/task, click the edit button (pencil icon) next to a comment.

Add a new line and enter the text (including quotes):

"added comment"

Save

----> The comment is now: added comment. Everything else was lost.

History

#1 - 2012-03-31 15:46 - Etienne Massip

- Resolution set to Cant reproduce

Can't reproduce on trunk, could be a plugin issue?

#2 - 2012-08-27 16:39 - Ján Regeš

Hello.

I have better steps to reproduce this bug. We have Redmine 1.2.2 (and now, for us it's difficult to upgrade to newer version - we have too much

custom modifications done by "dirty solutions" .. our upgrade is planned to the beginning of next year).

When on line is just text, which have quotes (") on start and end of line, only this one line (in quotes) is displayed. Nothing else (see example below).

When you add before/after quotes some character or whitespace, everything is OK (whole text is displayed).

This is affected in preview and also in normal view of saved comment/text.

In current Redmine version 2.0.3 it works OK. It's possible to tell me, which commit/bugfix fixed it? We'll patch it.. Thank you.
#3 - 2012-08-27 17:26 - Ján Regeš

- Assignee set to Etienne Massip

Hi Etienne.

Please, look at my previous post http://www.redmine.org/issues/10576#note-2

#4 - 2012-08-27 17:33 - Etienne Massip

- Assignee deleted (Etienne Massip)

Please do not assign issue directly.

#5 - 2012-08-27 17:34 - Etienne Massip

Saw it but that could also be a plugin issue, I don't remember of such an issue since 1.3.
#6 - 2012-09-17 13:59 - Alex Kosiaris

Hello,

Maybe this isn't going to be much help but I can also reproduce it on 1.0.1 with absolutely no plugins installed. So I doubt it is a plugin issue.

#7 - 2012-09-17 14:19 - Etienne Massip

Can someone tell us if it triggers with 1.4.x?

#8 - 2012-09-18 10:37 - Alex Kosiaris

Hello,

Just downloaded two vm images from bitnami.org and tried

Redmine 1.3.2.stable (MySQL)

Redmine 1.4.4.stable (MySQL)

and failed to reproduce it in both cases. So I guess the issue was fixed somewhere between 1.2.2 and 1.3.2

That being said

git log --oneline 1.2.2..1.3.2 | wc -l

returns 2032 individual commits...

#9 - 2012-09-18 15:20 - Etienne Massip

- Status changed from New to Closed

I close this issue since 1.4 is ok and previous versions are not maintained anymore.

Thank you for your feedback.

#10 - 2013-09-16 10:54 - shravan kumar

Hi,

I have same issue with quotes.

Last Name has quotes (O'last), this quote is displays in ASCII in IE and Firefox and in chrome it displays correct.

Can i know the reason.

I have installed Redmine 2.2.4

Powered by TCPDF (www.tcpdf.org)

2025-07-07 2/2

http://www.tcpdf.org

